#!/bin/bash

# source ros stuff
source ~/.bashrc

# run requested node(s)
echo "Running command $1 on all drones..."

for n in $(rosparam get /nameList)
do
  if [[ "$n" != "-" ]]
  then
    echo "running $1 on $n ..." &
    # do drone control for each
    timeout 5 rosrun base_station droneControl.py $n $1 &
  fi
done
echo "done on all nodes."
